{% extends 'layouts/base.html' %}
{% from 'macro/form.html' import form_field %}
{% set pageTitle = "Admin: Manage-Product" %}

{% block pageCSS %}
{% endblock pageCSS %}

{% block pageJS %}

{% endblock pageJS %}

{% block pageContent %}
<div class="container-fluid">
    <form class="col-md-4 needs-validation"
		  method="POST"
		  action="/admin/manage-product/create"
		  enctype="multipart/form-data">
		<!-- Ensure that the form has the csrf token, this is automatically hidden -->
		<!-- by FlaskForm -->
		{{ form.csrf_token }}
		<div class="text-center">
			<h2 class="app-name">Create Product Details</h2>
		</div>

		<div class="col">
		{{ form_field(form.name,  placeholder="Enter Product Name") }}
        {{ form_field(form.price, placeholder="0") }}
		</div>

		<div class="col">
			<button
					type="submit"
					class="btn btn-primary waves-effect"
					style="width: 100%;">
				Create
			</button>
		</div>
    </form>
</div>
{% endblock pageContent %}